View Issue Details

IDProjectCategoryLast Update
0019211AI War 2[All Projects] Crash/ExceptionAug 4, 2017 11:49 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.505 Tooltips And Build Menu 
Fixed in Version0.506 Hotfix 
Summary0019211: object reference not set in bottle left text info
DescriptionI was on the first planet when I hit this exception
8/3/2017 9:35:52 PM Successfully opened host socket
8/3/2017 9:37:35 PM
Error occurred in sim planning context executionContext
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_InGameBottomLeftInfo+tText.GetTextToShow (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Text.OnSimStableUpdate () [0x0009f] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI_Text.cs:103
  at Arcen.Universal.ArcenUI_Window.OnSimStableUpdate () [0x00071] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI_Window.cs:89
  at Arcen.Universal.ArcenUI.OnSimStableUpdate () [0x00033] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI.cs:174
  at Arcen.AIW2.Core.SimExecution.Execute () [0x000aa] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimExecution\SimExecution.cs:41
  at Arcen.AIW2.Core.ArcenSimPlanningContext.InnerRun () [0x0002d] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:82

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.AIW2.Core.ArcenSimPlanningContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 86
   at Arcen.AIW2.Core.ArcenExecutionContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 223
TagsNo tags attached.

Activities

BadgerBadger

Aug 3, 2017 10:07 pm

reporter   ~0046411

Found a consistent reproduction scenario. Start a new game, hold down CTL and then move the mouse cursor over a wormhole. Nasty

Issue History

Date Modified Username Field Change
Aug 3, 2017 9:41 pm BadgerBadger New Issue
Aug 3, 2017 10:07 pm BadgerBadger Note Added: 0046411
Aug 4, 2017 11:49 am x4000Bughunter Assigned To => keith.lamothe
Aug 4, 2017 11:49 am x4000Bughunter Status new => resolved
Aug 4, 2017 11:49 am x4000Bughunter Resolution open => fixed
Aug 4, 2017 11:49 am x4000Bughunter Fixed in Version => 0.506 Hotfix